function Car(image, make, model, description, price, category, year, mileage, extras) {
    this.image = image;
    this.make = make;
    this.model = model;
    this.description = description;
    this.price = price;
    this.category = category;
    this.year = year;
    this.mileage = mileage;
    this.extras = extras;
}

Car.prototype.generateImage = function (element) {
    const img = document.createElement('img');
    img.src = this.image;
    img.alt = this.make + " " + this.model;
    img.className = "card-img-top";
    element.appendChild(img);
}

Car.prototype.generateExtras = function (element) {
    const ul = document.createElement('ul');
    for (const extra of this.extras) {
        const li = document.createElement('li');
        li.textContent = extra.name + " " + extra.price + " €";
        ul.appendChild(li);
    }
    element.appendChild(ul);
}
